## gnome-shell 3.26.1

=== debian/changelog ===
gnome-shell (3.26.1-0ubuntu4) artful; urgency=medium

  * revert_023b50e7a7002226d6176bede22930d96da074a9.patch,
    revert_5c37facc083078564faaeec4aa58084857c56ee1.patch,
    and comment git_layout-unset-when-headless.patch:
    - Revert 2 upstream commits and cherry-pick to remove headless mode
      which shadows Shell crashing and thus fallback to Xorg, resulting in
      some user configs not having any UI on startup. (LP: #1723577)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 18 Oct 2017 15:05:32 +0200

gnome-shell (3.26.1-0ubuntu3) artful; urgency=medium

  * Cherry-pick git_layout-unset-when-headless.patch from gnome-3-26
    branch to fix crash bug (LP: #1717170)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Oct 2017 16:10:59 -0400

gnome-shell (3.26.1-0ubuntu2) artful; urgency=medium

  [ Andrea Azzarone ]
  * debian/patches/workaround_crasher_fractional_scaling.patch:
    workaround a popular crash for now when fractional scaling is enabled.
    Andrea is working on a proper fix/debug (LP: #1714542)


  [ Didier Roche ]
  * debian/patches/fix_reset_initial_focus.patch:
    - cherry-pick fixed proposed by upstream to avoid regression when keyboard
      is used the second time a modal dialog is drawn.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 10 Oct 2017 10:09:56 +0200

gnome-shell (3.26.1-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/ubuntu-session-mods/ubuntu.css: workaround font blurryness
    under wayland by providing a slight stroke around the font matching
    windows title bar. (LP: #1714459)
  * Remove 72_consistent_alt_key_above_tab_behavior.patch: upstreamed
  * Remove run-unit-tests.patch: was cherry-picked

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 06 Oct 2017 09:36:54 +0200

gnome-shell (3.26.0-0ubuntu2) artful; urgency=medium

  * fix typo in comment for ubuntu.css
  * Make St checkbox orange instead of blue, as other icons in our theme.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Sep 2017 11:57:56 +0200

gnome-shell (3.26.0-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Dep on newer mutter.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 15 Sep 2017 07:51:56 +0200

gnome-shell (3.25.91-0ubuntu5) artful; urgency=medium

  Changes for ubuntu session:
  * 71_smarter_alt_tab.patch
    - quick alt-tab (without showing up the switcher) switch only between
      the last window of the last 2 applications to be focused instead of
      raising all windows of those apps. (LP: #1716921)
  * 72_consistent_alt_key_above_tab_behavior.patch:
    - ensure alt + key above tab, when the switcher is opened, focus the first
      window and not directly the second one of an application. This is
      relevant as the select window part of the switcher is only raising the
      selected window, not the whole application. (LP: #1716872)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 12 Sep 2017 09:40:45 +0200

gnome-shell (3.25.91-0ubuntu4) artful; urgency=medium

  [ Jeremy Soller ]
  * Change path of gdm3 stylesheet (LP: #1715722)
  * Add alternatives for gdm3 stylesheet, setting ubuntu.css as the default

  [ Didier Roche ]
  * debian/gnome-shell-common.install:
    Install upstream theme for gdm if vanilla gnome theme is selected.

 -- Jeremy Soller <jeremy@system76.com>  Fri, 08 Sep 2017 10:12:58 -0600

gnome-shell (3.25.91-0ubuntu3) artful; urgency=medium

  * Ship new ubuntu css theme enabled in the ubuntu session.
    We don't generate is from a regexp list or patch as it has complex
    data structure (removal of some parts of stenzas, same source color
    mapping to different destination colors depending as corresponding
    to different elements).
    Right now, we prefer to do a 3-way merge of the theme and look working
    upstream for better theming support.
    Some summary of the changes are:
    - use ubuntu colors for panel, and most graphical elements (dialog box,
      sliders, menu items, buttons highlights).
    - remove rounded corners as they don't play well with nautilus showing up
      desktop and non black panel theme.
    - change blue grey scheme by orange grey (LP: #1690966)
    - change gdm assets and background. Theme it aubergine instead of
      a wallpaper as it matches the boot sequence, and can't be easily changed
      by the user.
    - ensure lock screen matches gdm and shell theming.
    Make the theme maintainable still overriding on purpose some properties
    instead of changing them in context.
  * Theme new assets on build (close and toggle buttons)
  * Add upstream high contrast theme to ubuntu mode. This will default to
    adwaita with upstream colors for accessibility.
  * debian/patches/50_add_ubuntu_desktop_detect.patch:
    - add caching for desktop detection to avoid querying the current desktop
      env variable as iterate through the list each time. For the time of the
      Shell process, we can expect this env variable to stay stable.
  * debian/patches/ubuntu_background_login.patch:
    - Change default background color as we modified the default GDM color
      for our ubuntu session. Change it as well here, still applying the
      background noise loading.
      This screen is appearing for a slip second when the Shell is loading.
  * debian/rules:
    - Use ninja to generate translations. Thanks Jeremy.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 04 Sep 2017 09:24:21 +0200

gnome-shell (3.25.91-0ubuntu2) artful; urgency=medium

  * debian/rules:
    - Don't use variable when passing libexecdir for meson build
    - Change --list-missing to --fail-missing to catch this kind of problem

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Sep 2017 10:38:12 -0400

gnome-shell (3.25.91-0ubuntu1) artful; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1712800)
  * Build with meson
  * debian/control.in:
    - Build-depend on libasound2-dev
    - Bump minimum libglib2.0-dev to 2.53.0
    - Update dependencies for mutter 3.25.90
  * debian/rules:


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10.3~),
               gnome-control-center-dev (>= 1:3.4),
               gnome-pkg-tools (>= 0.11),
               gettext,
               pkg-config (>= 0.22),
               autoconf-archive,
               gobject-introspection (>= 1.49.1),
               gsettings-desktop-schemas-dev (>= 3.21.3),
               gtk-doc-tools,
               libasound2-dev,
               libatk-bridge2.0-dev,
               libcanberra-dev,
               libcanberra-gtk3-dev,
               libcroco3-dev (>= 0.6.8),
               libecal1.2-dev (>= 3.7.90),
               libedataserver1.2-dev (>= 3.17.2),
               libgcr-3-dev (>= 3.7.5),
               libgirepository1.0-dev (>= 1.29.15),
               libgjs-dev (>= 1.47.90),
               libglib2.0-dev (>= 2.53.0),
               libgnome-bluetooth-dev (>= 3.9.0) [linux-any],
               libgnome-desktop-3-dev (>= 3.7.90),
               libgnome-menu-3-dev,
               libgstreamer1.0-dev (>= 0.11.92),
               libgtk-3-dev (>= 3.21.6),
               libibus-1.0-dev,
               libmutter-1-dev (>= 3.26.0),
               libnm-glib-dev (>= 0.9.8) [linux-any],
               libnm-glib-vpn-dev (>= 0.9.8) [linux-any],
               libnm-gtk-dev (>= 0.9.8) [linux-any],
               libnm-util-dev (>= 0.9.8) [linux-any],
               libpolkit-agent-1-dev (>= 0.100),
               libpulse-dev (>= 2.0),
               libsecret-1-dev,
               libstartup-notification0-dev (>= 0.11),
               libsystemd-dev [linux-any],
               libx11-dev,
               libxfixes-dev,
               libxml2-dev,
               mesa-common-dev,
               meson (>= 0.42),
               python3,
               gir1.2-accountsservice-1.0 <!nocheck>,
               gir1.2-caribou-1.0 (>= 0.4.8) <!nocheck>,
               gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
               gir1.2-geoclue-2.0 <!nocheck>,
               gir1.2-gweather-3.0 <!nocheck>,
               gir1.2-rsvg-2.0 <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.0.0
Homepage: https://wiki.gnome.org/Projects/GnomeShell
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-shell/ubuntu

Package: gnome-shell
Architecture: linux-any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         caribou (>= 0.4.8),
         evolution-data-server (>= 3.17.2),
         gir1.2-accountsservice-1.0,
         gir1.2-atspi-2.0 (>= 2.9.91),
         gir1.2-caribou-1.0 (>= 0.4.8),
         gir1.2-freedesktop,
         gir1.2-gdesktopenums-3.0 (>= 3.12),
         gir1.2-geoclue-2.0,
         gir1.2-gcr-3 (>= 3.7.5),
         gir1.2-glib-2.0 (>= 1.45.3),
         gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
         gir1.2-gnomedesktop-3.0 (>= 3.12.0),
         gir1.2-gtk-3.0 (>= 3.16),
         gir1.2-gweather-3.0,
         gir1.2-ibus-1.0 (>= 1.5.2),
         gir1.2-mutter-1 (>= 3.26.0),
         gir1.2-networkmanager-1.0 [linux-any],
         gir1.2-nmgtk-1.0 (>= 0.9.8) [linux-any],
         gir1.2-pango-1.0,
         gir1.2-polkit-1.0,
         gir1.2-rsvg-2.0,
         gir1.2-soup-2.4 (>= 2.40.1),
         gir1.2-upowerglib-1.0 (>= 0.99),
         gjs (>= 1.47.90),
         gnome-settings-daemon (>= 3.16.0),
         gnome-shell-common (= ${source:Version}),
         ubuntu-wallpapers,
         gsettings-desktop-schemas (>= 3.21.3),
         mutter (>= 3.26.0),
         python3,
         libglib2.0-bin (>= 2.53.0),
Recommends: xserver-xorg-legacy,
            gkbd-capplet,
            gnome-control-center,
            gnome-user-guide,
            iio-sensor-proxy,
            unzip,
            ubuntu-session | gnome-session,
Suggests: gir1.2-gdm-1.0 (>= 3.18.2),
          gir1.2-telepathyglib-0.12,
          gir1.2-telepathylogger-0.2 (>= 0.8.0),
          chrome-gnome-shell,
          gdm3 (>= 3.10.0.1-3~),
          gnome-themes-standard-data,
          switcheroo-control
Breaks: gdm3 (<< 3.19.92),
        gnome-session (<< 3.19)
Conflicts: gnome-screensaver (<< 3.6)
Provides: notification-daemon, polkit-1-auth-agent
Description: graphical shell for the GNOME desktop
 The GNOME Shell provides core interface functions like switching
 windows, launching applications or see your notifications. It takes
 advantage of the capabilities of modern graphics hardware and
 introduces innovative user interface concepts to provide a
 delightful and easy to use experience. GNOME Shell is the defining
 technology of the GNOME 3 user experience.

Package: gnome-shell-common
Architecture: all
Depends: ${misc:Depends}
Breaks: gnome-tweak-tool (<< 3.21.91),
        gnome-calendar (<< 3.21.4)
Description: common files for the GNOME graphical shell
 This package contains translations and data files for the GNOME shell.

## gnome-shell 3.26.2

=== debian/changelog ===
gnome-shell (3.26.2-0ubuntu0.1) artful; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1731053)
  * Drop patches applied in new release:
    - fix_reset_initial_focus.patch
    - git_layout-unset-when-headless.patch

  [ Didier Roche ]
  * Modify debian/patches/70_allow_sound_above_100.patch:
    - Fix a crasher when people log into the ubuntu session without installing
      gsettings-ubuntu-schemas (LP: #1712798)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Nov 2017 16:19:02 -0500

gnome-shell (3.26.1-0ubuntu5) artful; urgency=medium

  [ Didier Roche ]
  * Reenable headless patches and cherry-pick now that the gdm fix
    is in mutter. (LP: #1725153)
  * Add dep on latest mutter to ensure people don't end up in a non working
    UI state again.

  [ Jeremy Bicha ]
  * Restore dependency on gir1.2-gdm-1.0 (LP: #1725288)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 19 Oct 2017 08:38:31 +0200

=== debian/control ===
--- 
+++ 
@@ -76,6 +76,7 @@
          gir1.2-gdesktopenums-3.0 (>= 3.12),
          gir1.2-geoclue-2.0,
          gir1.2-gcr-3 (>= 3.7.5),
+         gir1.2-gdm-1.0 (>= 3.18.2),
          gir1.2-glib-2.0 (>= 1.45.3),
          gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
          gir1.2-gnomedesktop-3.0 (>= 3.12.0),
@@ -95,7 +96,7 @@
          gnome-shell-common (= ${source:Version}),
          ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.21.3),
-         mutter (>= 3.26.0),
+         mutter (>= 3.26.1-2ubuntu2~),
          python3,
          libglib2.0-bin (>= 2.53.0),
 Recommends: xserver-xorg-legacy,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# Ensure at build time that the library has no dependencies on undefined
# symbols, and speed up loading.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gir,gnome --buildsystem=meson

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Denable-networkmanager=yes \
	-Denable-systemd=yes
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib/gnome-shell \
		$(CONFFLAGS)

override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-shell-pot
	dh_translations

override_dh_install:
	find debian/tmp -name '*.la' -delete
	# add more assets
	mkdir -p debian/tmp/usr/share/gnome-shell/theme/
	sed -e 's/#2975c4/#dd4814/' -e 's/#4a90d9/#e95420/' data/theme/close-window.svg > debian/tmp/usr/share/gnome-shell/theme/ubuntu-close-window.svg
	sed -e 's/#182f4c/#bb3e11/' -e 's/#205b9a/#e95420/' data/theme/toggle-on-us.svg > debian/tmp/usr/share/gnome-shell/theme/ubuntu-toggle-on-us.svg
	sed -e 's/#182f4c/#bb3e11/' -e 's/#205b9a/#e95420/' data/theme/toggle-on-intl.svg > debian/tmp/usr/share/gnome-shell/theme/ubuntu-toggle-on-intl.svg
	sed -e 's/#2b3133/#bb3e11/' -e 's/#16191a/#191a16/' -e 's/#454c4c/#4c4c45/' -e 's/#454c4c/#4c4c45/' -e 's/#393f3f/#3f3f39/' -e 's/#2d3232/32322d/' -e 's/#3465a4/#dd4814/' data/theme/checkbox-off-focused.svg > debian/tmp/usr/share/gnome-shell/theme/ubuntu-checkbox-off-focused.svg
	sed -e 's/#2b3133/#bb3e11/' -e 's/#16191a/#191a16/' -e 's/#454c4c/#4c4c45/' -e 's/#454c4c/#4c4c45/' -e 's/#393f3f/#3f3f39/' -e 's/#2d3232/32322d/' -e 's/#0b2e52/#dd4814/' -e 's/#667482/#e95420/' -e 's/#2d3232/#32322d/' -e 's/#3465a4/#dd4814/' data/theme/checkbox-focused.svg > debian/tmp/usr/share/gnome-shell/theme/ubuntu-checkbox-focused.svg
	cp data/theme/gnome-shell-high-contrast.css debian/tmp/usr/share/gnome-shell/theme/ubuntu-high-contrast.css
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgnome-shell

override_dh_shlibdeps:
	# gnome-shell uses mutters private mutter-clutter-1.0.so etc.
	dh_shlibdeps -l"usr/lib/$(DEB_HOST_MULTIARCH)/mutter"

override_dh_strip:
	dh_strip --dbgsym-migration='gnome-shell-dbg (<< 3.20.2-2~)'

override_dh_auto_test:
	xvfb-run dh_auto_test

## gnome-shell 3.28.1

=== meson_options.txt ===
option('browser_plugin',
  type: 'boolean',
  value: true,
  description: 'Enable extensions.gnome.org browser plugin'
)

option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'Build API reference'
)

option('man',
  type: 'boolean',
  value: true,
  description: 'Generate man pages'
)

option('networkmanager',
  type: 'boolean',
  value: true,
  description: 'Enable NetworkManager support'
)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd integration'
)

=== debian/changelog ===
gnome-shell (3.28.1-0ubuntu2) bionic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * js-ui-Choose-some-actors-to-cache-on-the-GPU.patch:
    - Improve rendering of shell elements moving rendering to GPU
      (LP: #1744001)

  [ Jeremy Bicha ]
  * Cherry-pick polkitAgent-Guard-against-repeated-close-calls.patch:
    - Fix PolicyKit authorization prompt after cancelling once (LP: #1765353)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 23 Apr 2018 15:29:28 -0500

gnome-shell (3.28.1-0ubuntu1) bionic; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop obsolete patches:
    - 27-nm-libexec-path.patch
    - fix-wayland-vbox-crash.patch

  [ Marco Trevisan (Treviño) ]
  Cherry-pick patches applied to upstream git master:
  * ui-Theme-lookup-should-respect-XDG_DATA_DIRS.patch:
    - Renamed from ubuntu_theme_lookup_xdg.patch and cherry-picked from
      upstream
  * workspaceThumbnail-only-update-_porthole-if-the-overview-.patch:
    workspaceThumbnail-rebuild-thumbnails-if-workareas-size-c.patch:
    workspaceThumbnail-initialize-porthole-based-on-workArea.patch:
    - Cherry-picks from upstream, avoid unneeded computations in activities
  * popupMenu-Fix-wrong-call-to-clutter_actor_add_child.patch:
    - Cherry-pick from upstream
  * volume-Add-back-sound-feedback-on-scroll.patch:
    - Fix regression causing missing feedback on volume slider scroll

  Add patches proposed upstream:
  * shell-ignore-invalid-window-monitor-index.patch:
    - Fix crash on accessing on invalid monitor windows (LP: #1724439)
  * StIcon-only-compute-shadow-pipeline-when-the-texture-is-p.patch:
    - Don't try to compute shadows on not allocated icons (LP: #1723378)
  * js-fix-invalid-access-errors.patch:
    - Fix javascript errors (LP: #1747566)
  * workspace-fix-repositioned-windows-in-activities.patch:
    - Ensure windows thumbnails coordinates are correct (LP: #1653153)
  * st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch:
    - Fix possible crash on cache loading
  * st-texture-cache-Don-t-add-NULL-textures-to-cache.patch:
    - Fix crash when deleting NULL textures from cache (LP: #1754445)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 17 Apr 2018 14:40:17 -0400

gnome-shell (3.28.0-0ubuntu5) bionic; urgency=medium

  * No-change rebuild for translations (LP: #1756547)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 07 Apr 2018 15:58:00 +0200

gnome-shell (3.28.0-0ubuntu4) bionic; urgency=medium

  * debian/rules:
    - Drop javascript comments in gnome-shell.pot so the currently used
      version of gettext in LP gets more permissive wrt cases where
      the number of %d modifiers in a translation differs from what's
      in msgid (LP: #1756547).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 06 Apr 2018 15:58:00 +0200

gnome-shell (3.28.0-0ubuntu3) bionic; urgency=medium

  * Recommend bolt for Thunderbolt 3 support (LP: #1759538)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 04 Apr 2018 10:04:50 -0400

gnome-shell (3.28.0-0ubuntu2) bionic; urgency=medium

  * debian/patches/ubuntu_theme_lookup_xdg.patch:
    - theme lookup should respect XDG_DATA_DIRS (LP: #1760039)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 30 Mar 2018 10:21:27 +0200

gnome-shell (3.28.0-0ubuntu1) bionic; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Mar 2018 10:39:16 -0400

gnome-shell (3.27.92-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate
  * Drop api patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Mar 2018 05:38:48 -0500

gnome-shell (3.27.91-0ubuntu1) bionic; urgency=medium

  [ Didier Roche ]
  * New upstream version (LP: #1751070, LP: #1722725,
    LP: #1714989, LP: #1724557, LP: #1723857, LP: #1744970):
    - debian/patches/70_allow_sound_above_100.patch,
      debian/patches/ubuntu-lightdm-user-switching.patch patches
      refreshed for new release. Removed ': function()' syntax as
      upstreamed removed them in those context.
    - debian/patches/ubuntu_panel_center_date_workarea.patch removed as
      upstreamed now.
    - debian/control.in, debian/rules:
      bump deps, add sassc and libnm-dev which is now required.
      drop caribou dep, as the OSK is now built-in.
    - debian/rules:
      use now with renamed build options.
  * debian/ubuntu-session-mods/ubuntu.css, debian/rules:
    - adapt to new GNOME Shell theme including OSK.
    - color shift keys in orange in OSK and use differente svg.
  * debian/rules:
    - some duplication removal.
  * debian/patches/27-nm-libexec-path.patch,
    debian/patches/71_smarter_alt_tab.patch,
    debian/patches/fix-wayland-vbox-crash.patch,
    debian/patches/optional-hot-corner.patch,
    debian/patches/ubuntu_block_mode_extension_update.patch,
    debian/patches/ubuntu_gdm.patch,
    debian/patches/ubuntu_lock_on_suspend.patch:
    - unfuzzed
  * Cherry-pick git_ea0770ae22a6c34797db4343cf7d2f59bb8d68f6.patch:
    - upstream mutter API bump.
  * debian/gnome-shell-common.install, debian/rules:
    - the .css files aren't shipped anymore, so copy from the built version.

  [ Jeremy Bicha ]
  * Update NetworkManager dependencies

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 02 Mar 2018 10:04:06 +0100

gnome-shell (3.26.2-0ubuntu3) bionic; urgency=medium

  * debian/patches/ubuntu_panel_center_date_workarea.patch:
    Align date entry relative to workarea. That way, title bars are
    centered relative to date entry. (LP: #1716432)
  * :
    Don't allow ubuntu mode extension to update
    Ensure that no update is proposed or loaded if sideloaded (always
    prefer system version) on the ubuntu session.
    We want to ensure that the default code running is going through
    our QA and security team process than being loaded from a 3rd
    party website.
    Also, that will enable us to upload newer versions on GNOME
    extension website while still letting older ubuntu release versions


=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-shell
@@ -11,9 +11,7 @@
 Build-Depends: debhelper (>= 10.3~),
                gnome-control-center-dev (>= 1:3.4),
                gnome-pkg-tools (>= 0.11),
-               gettext,
                pkg-config (>= 0.22),
-               autoconf-archive,
                gobject-introspection (>= 1.49.1),
                gsettings-desktop-schemas-dev (>= 3.21.3),
                gtk-doc-tools,
@@ -33,8 +31,9 @@
                libgnome-menu-3-dev,
                libgstreamer1.0-dev (>= 0.11.92),
                libgtk-3-dev (>= 3.21.6),
-               libibus-1.0-dev,
-               libmutter-1-dev (>= 3.26.0),
+               libibus-1.0-dev (>= 1.5.2),
+               libmutter-2-dev (>= 3.27.91),
+               libnm-dev (>= 0.9.8) [linux-any],
                libnm-glib-dev (>= 0.9.8) [linux-any],
                libnm-glib-vpn-dev (>= 0.9.8) [linux-any],
                libnm-gtk-dev (>= 0.9.8) [linux-any],
@@ -51,13 +50,13 @@
                meson (>= 0.42),
                python3,
                gir1.2-accountsservice-1.0 <!nocheck>,
-               gir1.2-caribou-1.0 (>= 0.4.8) <!nocheck>,
                gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
                gir1.2-gweather-3.0 <!nocheck>,
                gir1.2-rsvg-2.0 <!nocheck>,
                xauth <!nocheck>,
-               xvfb <!nocheck>
+               xvfb <!nocheck>,
+               sassc,
 Standards-Version: 4.0.0
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-shell/ubuntu
@@ -67,11 +66,9 @@
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-         caribou (>= 0.4.8),
          evolution-data-server (>= 3.17.2),
          gir1.2-accountsservice-1.0,
          gir1.2-atspi-2.0 (>= 2.9.91),
-         gir1.2-caribou-1.0 (>= 0.4.8),
          gir1.2-freedesktop,
          gir1.2-gdesktopenums-3.0 (>= 3.12),
          gir1.2-geoclue-2.0,
@@ -83,9 +80,9 @@
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gweather-3.0,
          gir1.2-ibus-1.0 (>= 1.5.2),
-         gir1.2-mutter-1 (>= 3.26.0),
-         gir1.2-networkmanager-1.0 [linux-any],
-         gir1.2-nmgtk-1.0 (>= 0.9.8) [linux-any],
+         gir1.2-mutter-2 (>= 3.27.91),
+         gir1.2-nm-1.0 [linux-any],
+         gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
          gir1.2-polkit-1.0,
          gir1.2-rsvg-2.0,
@@ -96,18 +93,18 @@
          gnome-shell-common (= ${source:Version}),
          ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.21.3),
-         mutter (>= 3.26.1-2ubuntu2~),
+         mutter (>= 3.27.91),
          python3,
          libglib2.0-bin (>= 2.53.0),
 Recommends: xserver-xorg-legacy,
+            bolt (>= 0.2),
             gkbd-capplet,
             gnome-control-center,
             gnome-user-guide,
             iio-sensor-proxy,
             unzip,
             ubuntu-session | gnome-session,
-Suggests: gir1.2-gdm-1.0 (>= 3.18.2),
-          gir1.2-telepathyglib-0.12,
+Suggests: gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2 (>= 0.8.0),
           chrome-gnome-shell,
           gdm3 (>= 3.10.0.1-3~),

## gnome-shell 3.28.3

=== debian/changelog ===
gnome-shell (3.28.3-0ubuntu0.18.04.4) bionic; urgency=medium

  * debian/patches/ibus-set-content-type-no-holdKeyboard.patch:
    - Cherry-pick upstream commit to prevent focus stealing on password fields
      in firefox when ibus is used (LP: #1765304)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 05 Dec 2018 13:08:10 +0000

gnome-shell (3.28.3-0ubuntu0.18.04.3) bionic; urgency=medium

  * debian/ubuntu.css:
    - use defined color for menu separators (LP: #1739931)
    - set StEntry minimun height to work properly with Ubuntu font (LP: #1743058)
  * debian/patches/st-button-Ignore-pointer-emulated-touch-events.patch:
    - Don't emit two click events on touch under X11 (LP: #1745888)
  * d/p/st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
    d/p/st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
    - Handle NULL scroll bars in st-scroll-view (LP: #1725312)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 06 Nov 2018 17:49:17 +0000

gnome-shell (3.28.3-0ubuntu0.18.04.2) bionic; urgency=medium

  * New upstream release (LP: #1718931, LP: #1782614)
  * debian/patches/30-remoteMenu-Prevent-the-shell-from-becoming-unrespons.patch,
    debian/patches/magnifier.js-Fix-zoom-juddering.patch,
    debian/patches/st-label-Unset-clutter-text-instance-on-disposal.patch,
    debian/patches/st-texture-cache-Don-t-add-NULL-textures-to-cache.patch,
    debian/patches/st-texture-cache-Save-cairo-surfaces-to-a-different-map.patch,
    debian/patches/ui-Theme-lookup-should-respect-XDG_DATA_DIRS.patch:
    - Drop patches applied on the 3.28 branch
  * debian/patches/js-fix-invalid-access-errors.patch:
    - Refreshed to reflect upstream changes
  * d/p/popupMenu-Don-t-handle-key-presses-directly-if-there-are-.patch
    -  Don't handle key presses directly if there are modifiers (LP: #1784671)
  * debian/patches/workspace-fix-repositioned-windows-in-activities.patch:
    - Cherry-pick from upstream 3.28 branch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 03 Aug 2018 07:18:24 +0100

gnome-shell (3.28.2-0ubuntu0.18.04.1) bionic; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release (LP: #1775145)
    - fixes valid password rejection at login screen (LP: #1765261)
  * Drop patches applied upstream:
    - debian/patches/polkitAgent-Guard-against-repeated-close-calls.patch
    - debian/patches/popupMenu-Fix-wrong-call-to-clutter_actor_add_child.patch
    - debian/patches/workspaceThumbnail-initialize-porthole-based-on-workArea.patch
    - debian/patches/workspaceThumbnail-only-update-_porthole-if-the-overview-.patch
    - debian/patches/workspaceThumbnail-rebuild-thumbnails-if-workareas-size-c.patch

  [ Andrea Azzarone ]
  * debian/patches/ubuntu_lock_on_suspend.patch: inhibit suspend until the
    screen is locked also in the case where automatic screen lock is disabled
    and screen lock on suspend is enabled (LP: #1768786)

  [ Marco Trevisan (Treviño) ]
  * Cherry pick upstream patches:
    - debian/patches/st-label-Unset-clutter-text-instance-on-disposal.patch (LP: #1714989)
  * debian/patches/st-texture-cache-Don-t-add-NULL-textures-to-cache.patch:
    - Cherry pick updated version from upstream, splitted in:
    + debian/patches/st-texture-cache-Don-t-add-NULL-textures-to-cache.patch
    + debian/patches/st-texture-cache-Save-cairo-surfaces-to-a-different-map.patch
  * debian/patches/authPrompt-Do-not-enable-sensitivity-if-retries-are-disal.patch
    debian/patches/authPrompt-Unset-preemptiveAnswer-on-reset.patch
    debian/patches/gdm-util-Always-allow-to-retry-login-in-unlock-mode.patch:
    - GDM gnome-shell greeter fix to fix unneeded login attempts (LP: #1777956)
  * debian/patches/series:
    - reorder to apply upstream cherry-picks before the others
  
  [ Daniel van Vugt ]
  * debian/patches/magnifier.js-Fix-zoom-juddering.patch:
    - magnifier.js: Fix zoom juddering (LP: #1691675)

 -- Marco Trevisan <marco@ubuntu.com>  Tue, 21 Jun 2018 01:45:42 +0200

## gnome-shell 3.28.3+git20190124

=== debian/changelog ===
gnome-shell (3.28.3+git20190124-0ubuntu18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Potential keyboard shortcuts and other actions
    - debian/patches/CVE-2019-3820-*.patch: fix in
      js/ui/panel.js, js/gdm/authPrompt.js, js/gdm/loginDialog.js,
      js/ui/shellEntry.js.
    - CVE-2019-3820

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 25 Feb 2019 12:53:33 -0300

gnome-shell (3.28.3+git20190124-0ubuntu18.04.1) bionic; urgency=medium

  * New git snapshot release up to commit 24cdcc56d (LP: #1811900)
    - Don't fill journal with osdWindow errors (LP: #1772677)
    - Fix missing icon in keyboard indicator (LP: #1812266)
  * d/p/authPrompt-Do-not-enable-sensitivity-if-retries-are-disal.patch,
    d/p/authPrompt-Unset-preemptiveAnswer-on-reset.patch,
    d/p/gdm-util-Always-allow-to-retry-login-in-unlock-mode.patch,
    d/p/ibus-set-content-type-no-holdKeyboard.patch,
    d/p/popupMenu-Don-t-handle-key-presses-directly-if-there-are-.patch,
    d/p/st-button-Ignore-pointer-emulated-touch-events.patch,
    d/p/shell-ignore-invalid-window-monitor-index.patch,
    d/p/workspace-fix-repositioned-windows-in-activities.patch:
    - Removed patches applied upstream
  * d/p/StIcon-only-compute-shadow-pipeline-when-the-texture-is-p.patch,
    d/p/js-fix-invalid-access-errors.patch,
    d/p/js-ui-Choose-some-actors-to-cache-on-the-GPU.patch,
    d/p/optional-hot-corner.patch,
    d/p/st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch,
    d/p/workaround_crasher_fractional_scaling.patch:
    - Refreshed as per upstream changes
  * d/p/keyboard-Filter-redundant-FocusTracker-position-changed-s.patch,
    d/p/keyboard-Listen-to-IbusPanelService-focus-in-out-to-track.patch:
    - Fix OSK activation on X11 (LP: #1760399)
  * d/p/power-Label-the-PENDING_CHARGE-state-as-Not-Charging.patch:
    - Label the PENDING_CHARGE state as "Not Charging" (LP: #1745032)
  * d/p/debian/patches/volume-Add-back-sound-feedback-on-scroll.patch:
    - Add missing include (LP: #1811908)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Jan 2019 18:29:40 +0000

=== debian/control ===
--- 
+++ 
@@ -59,7 +59,10 @@
                sassc,
 Standards-Version: 4.0.0
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-shell/ubuntu
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell/+git/gnome-shell/+ref/ubuntu/bionic
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell -b ubuntu/bionic
 
 Package: gnome-shell
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# Ensure at build time that the library has no dependencies on undefined
# symbols, and speed up loading.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gir,gnome --buildsystem=meson

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Dnetworkmanager=true \
	-Dsystemd=true
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib/gnome-shell \
		$(CONFFLAGS)

override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-shell-pot
	# work around https://launchpad.net/bugs/1756547
	sed -i '/^#, javascript-format/d' po/gnome-shell.pot
	dh_translations

override_dh_install:
	find debian/tmp -name '*.la' -delete
	# add more assets
	mkdir -p debian/tmp/usr/share/gnome-shell/theme/
	sed -e 's/#2975c4/#dd4814/' -e 's/#4a90d9/#e95420/' data/theme/close-window.svg > debian/tmp/usr/share/gnome-shell/theme/ubuntu-close-window.svg
	sed -e 's/#182f4c/#bb3e11/' -e 's/#205b9a/#e95420/' data/theme/toggle-on-us.svg > debian/tmp/usr/share/gnome-shell/theme/ubuntu-toggle-on-us.svg
	sed -e 's/#182f4c/#bb3e11/' -e 's/#205b9a/#e95420/' data/theme/toggle-on-intl.svg > debian/tmp/usr/share/gnome-shell/theme/ubuntu-toggle-on-intl.svg
	sed -e 's/#2b3133/#bb3e11/' -e 's/#16191a/#191a16/' -e 's/#454c4c/#4c4c45/' -e 's/#393f3f/#3f3f39/' -e 's/#2d3232/32322d/' -e 's/#3465a4/#dd4814/' data/theme/checkbox-off-focused.svg > debian/tmp/usr/share/gnome-shell/theme/ubuntu-checkbox-off-focused.svg
	sed -e 's/#2b3133/#bb3e11/' -e 's/#16191a/#191a16/' -e 's/#454c4c/#4c4c45/' -e 's/#393f3f/#3f3f39/' -e 's/#2d3232/32322d/' -e 's/#0b2e52/#dd4814/' -e 's/#667482/#e95420/' -e 's/#2d3232/#32322d/' -e 's/#3465a4/#dd4814/' data/theme/checkbox-focused.svg > debian/tmp/usr/share/gnome-shell/theme/ubuntu-checkbox-focused.svg
	sed -e 's/#006098/#e95420/' data/theme/key-shift-uppercase.svg > debian/tmp/usr/share/gnome-shell/theme/key-shift-uppercase.svg
	sed -e 's/#006098/#e95420/' data/theme/key-shift-latched-uppercase.svg > debian/tmp/usr/share/gnome-shell/theme/key-shift-latched-uppercase.svg
	cp obj-*/data/theme/gnome-shell-high-contrast.css debian/tmp/usr/share/gnome-shell/theme/ubuntu-high-contrast.css
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgnome-shell

override_dh_shlibdeps:
	# gnome-shell uses mutters private mutter-clutter-1.0.so etc.
	dh_shlibdeps -l"usr/lib/$(DEB_HOST_MULTIARCH)/mutter"

override_dh_strip:
	dh_strip --dbgsym-migration='gnome-shell-dbg (<< 3.20.2-2~)'

override_dh_auto_test:
	xvfb-run dh_auto_test

## gnome-shell 3.28.4

=== debian/changelog ===
gnome-shell (3.28.4-0ubuntu18.04.7) bionic; urgency=medium

  [ Matthew Ruffell ]
  * d/p/authPrompt-Properly-get-oVirt-service-name.patch,
    d/p/authPrompt-set-value-of-beginRequestType-to-DONT_PROVIDE_.patch,
    d/p/gdm-Introduce-vmware-credential-manager-for-pre-authentic.patch,
    d/p/gdm-Refactor-oVirt-to-a-generic-CredentialManager-interfa.patch:
    - Enable support for VMware Horizon SSO to ensure compatibility
      with the Horizon Agent (LP: #1886592)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Rename VMWare OVirt patches to use Gbp-Pq format

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Dec 2020 01:24:41 +0100

gnome-shell (3.28.4-0ubuntu18.04.6) bionic; urgency=medium

  - d/p/util-cache-local-GTimeZone.patch
    d/p/ShellAppCache-add-cache-to-help-keep-I-O-off-main-thread.patch,
    d/p/appDisplay-use-ShellAppCache-to-translate-folder-names.patch,
    d/p/appDisplay-use-ShellAppCache-to-access-GAppInfo.patch,
    d/p/Revert-appDisplay-use-ShellAppCache-to-access-GAppInfo.patch,
    d/p/Revert-appDisplay-use-ShellAppCache-to-translate-folder-n.patch,
    d/p/Revert-ShellAppCache-add-cache-to-help-keep-I-O-off-main-.patch,
    d/p/Revert-util-cache-local-GTimeZone.patch:
    + Include all the upstream patches to fix notification freezes
      (LP: #1838152).
  - d/p/series: Reorder so that upstream fixes come first

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Sep 2020 20:16:18 +0200

gnome-shell (3.28.4-0ubuntu18.04.5) bionic; urgency=medium

  * d/p/keyboardManager_apply-added-input-sources-instantly.patch:
    - Renamed to keyboardManager-Avoid-idempotent-calls-to-meta_backend_se.patch
    - Fixed DEP-3 tagging, and update them as per upstream cherry-pick
  * d/p/shell-global-Make-saving-of-persistent-state-asynchronous.patch:
    - Make saving of persistent state asynchronous (LP: #1838152)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 17 Aug 2020 13:48:08 +0200

gnome-shell (3.28.4-0ubuntu18.04.4) bionic; urgency=medium

  * d/p/keyboardManager_apply-added-input-sources-instantly.patch:
    - Make added input sources work instantly without relogin/reboot
      or other tricks (LP: #1890875).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 14 Aug 2020 18:26:00 +0200

gnome-shell (3.28.4-0ubuntu18.04.3) bionic; urgency=medium

  * d/p/ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
    - Add support for cancelling remote search providers when the overlay
      is closed (and actually stop searches when requested from UI, LP: #1756826)
  * debian/rules: Honour nocheck parameter

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Oct 2019 05:23:08 +0200

gnome-shell (3.28.4-0ubuntu18.04.2) bionic; urgency=medium

  * d/p/osk-layouts-Fix-French-layout.patch:
    - osk-layouts: Fix French layout (LP: #1832875)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Jun 2019 21:07:13 +0100

gnome-shell (3.28.4-0ubuntu18.04.1) bionic; urgency=medium

  * New upstream stable release
    - Fix ellipsization in dialog subtitles/bodies (LP: #1809788)
    - dnd: Only handle touch events in wayland (LP: #1817020)
    - windowManager: listen actively to windows being destroyed during WS switch
      (LP: #1812527)
    - Fix unresponsive-app dialog blocking input in other windows (LP: #1740869)
    - Fix regression on missing spread animation (LP: #1827284)
  * d/p/js-fix-invalid-access-errors.patch,
    d/p/js-ui-Choose-some-actors-to-cache-on-the-GPU.patch:
    - Refreshed
  * d/p/switchMonitor-switch-to-next-config-upon-initial-keypress.patch
    - Ensure switch display mode is cyclic (LP: #1772811)
  * debian/control:
    - Depends on mutter 3.28.4-0ubuntu18.04.1
  * d/p/st-widget-Add-missing-g_return_val_if_fail.patch:
    - st-widget: Protect from NULL obj in get_theme_node (LP: #1796606)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 10 May 2019 11:43:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gnome-shell
 Section: gnome
 Priority: optional
@@ -83,7 +84,7 @@
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gweather-3.0,
          gir1.2-ibus-1.0 (>= 1.5.2),
-         gir1.2-mutter-2 (>= 3.27.91),
+         gir1.2-mutter-2 (>= 3.28.4-0ubuntu18.04.1),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -96,7 +97,7 @@
          gnome-shell-common (= ${source:Version}),
          ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.21.3),
-         mutter (>= 3.27.91),
+         mutter (>= 3.28.4-0ubuntu18.04.1),
          python3,
          libglib2.0-bin (>= 2.53.0),
 Recommends: xserver-xorg-legacy,

=== debian/rules ===
--- 
+++ 
@@ -52,4 +52,6 @@
 	dh_strip --dbgsym-migration='gnome-shell-dbg (<< 3.20.2-2~)'
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	xvfb-run dh_auto_test
+endif
